%define upstream_name    HTTP-DAV
%define upstream_version 0.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A WebDAV client library for Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP) >= 5.480.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::DOM)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
PerlDAV is a Perl library for modifying content on webservers using the WebDAV
protocol. Now you can LOCK, DELETE and PUT files and much more on a DAV-enabled
webserver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

# requires a "test server"...

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/dave
%{_mandir}/*/*
%{perl_vendorlib}/HTTP

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.480.0-4pclos2017
- rebuild against updates

